### Leveling Mod
This mod adds the ability to grind levels in any expedition, but resets when leaving or even starting another expedition.
Currently it is possible to increase the MaxHP, melee (MD) and weapon damage (WD) by setting the damage multiplier in the LevelLayouts.json in the custom folder to any multiplier.

Contact [Endskill#4992 on the modding server](https://discord.gg/rRMPtv4FAh) if you want to give feedback, ideas that may be interesting to implement or have found any issue.

## Currently available features:
* Fully usable Class selector beneath the appearal button
* Xp values displayed on enemy kill (Thanks Dak for the DamageNumbers plugin c: )
* Level classes, fully customizeable by a rundown dev. They are in the custom folder in the rundown
* BoosterEffects are now available in the level scaling
* Fully available dev tool, to easily swich between levels (Needs to be activated in the Config file!)
* multiple ways to scale melee, weapon or even max HP while playing a level.
* Little HUD that displays the current state of the player
* Current levels of friendly players are displayed next to them.
* Example level classes (Allrounder, Glass cannon, Tank, Kamikaze, Melee Main)
* Example xp distribution, currently just the max HP /2 which decreases about ~6% each level you are higher until it reaches 1XP.
* Custom scaling options like meleeRangeScaling, or movement speed ...

# Future plans are:
- Creating a webapi to save average xp collecting on any given modded level.
- Probably a better HUD ingame

# Known issues:
- An error is thrown in the console at the start of any mission, if you're running multiplayera
- Levels next to the playername display is not shown, when they join mid-game
- Damage is not scaled in any friendly fire 
- Bots don't have any level handling! => I don't have any plans implementing this feature :/ The main handling code was still created in Rundown 5 so it is to focused on the local player.